summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-06-07 17:11:13 +0000
committer Eric Hameleers <alien@slackware.com>2015-06-07 17:11:13 +0000
commit724d78f4376fae50328d12b450276df664a4186b (patch)
treeb565bb673b361e425f83ea4d58b8ce24d354a114
parent055e829ccbbce9593a4f23aacb985445782f8943 (diff)
downloadasb-724d78f4376fae50328d12b450276df664a4186b.tar.gz
asb-724d78f4376fae50328d12b450276df664a4186b.tar.xz
gst-plugins-ffmpeg0: Rebuilt and renamed for Slackware 14.2
-rwxr-xr-xgst-plugins-ffmpeg0/build/gst-plugins-ffmpeg0.SlackBuild246
1 files changed, 246 insertions, 0 deletions
diff --git a/gst-plugins-ffmpeg0/build/gst-plugins-ffmpeg0.SlackBuild b/gst-plugins-ffmpeg0/build/gst-plugins-ffmpeg0.SlackBuild
new file mode 100755
index 00000000..fd6dde21
--- /dev/null
+++ b/gst-plugins-ffmpeg0/build/gst-plugins-ffmpeg0.SlackBuild
@@ -0,0 +1,246 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2009, 2010, 2011, 2012 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: gst-plugins-ffmpeg0
+# Descr: GStreamer FFmpeg plug-in
+# URL: http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html
+# Needs: ffmpeg; yasm (compile-time)
+# Changelog:
+# 0.10.8-1: 30/Sep/2009 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+# 0.10.11-1: 25/aug/2010 by Eric Hameleers <alien@slackware.com>
+# * Update to accompany a new gnash package
+# 0.10.11-2: 17/may/2011 by Eric Hameleers <alien@slackware.com>
+# * Optionally, depend on an already installed ffmpeg package
+# which allows to make a lot more features available.
+# However, since the developers do not encourage this, it is
+# not used by default. You can change the variable
+# USE_INTERNAL_FFMPEG to "NO" after installing my ffmpeg package,
+# and then rebuild gst-plugins-ffmpeg0.
+# 0.10.13-1: 09/feb/2012 by Eric Hameleers <alien@slackware.com>
+# * Update.
+# 0.10.13-2: 10/oct/2012 by Eric Hameleers <alien@slackware.com>
+# * Rebuilt for Slackware 14.
+# 0.10.13-2: 06/jun/2015 by Eric Hameleers <alien@slackware.com>
+# * Rebuilt and renamed for Slackware 14.2 which introduced the
+# "0" packages for gstreamer 0.x.
+#
+# Run 'sh gst-plugins-ffmpeg0.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=gst-plugins-ffmpeg0
+SRCNAM=gst-ffmpeg
+VERSION=${VERSION:-0.10.13}
+BUILD=${BUILD:-2}
+NUMJOBS=${NUMJOBS:" -j4 "}
+TAG=${TAG:-alien}
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README TODO gst-ffmpeg.doap"
+
+# Using the package's own internal copy of ffmpeg allows you to *not*
+# depend on an external ffmpeg package which is already installed.
+# However, the internal ffmpeg will not be built as featureful as my own
+# external ffmpeg package, so I will rather use that.
+USE_INTERNAL_FFMPEG=${USE_INTERNAL_FFMPEG:-YES}
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/${SRCNAM}-${VERSION}.tar.bz2"
+SRCURL="http://gstreamer.freedesktop.org/src/${SRCNAM}/${SRCNAM}-${VERSION}.tar.bz2"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+case "$ARCH" in
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ *) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+esac
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
+ if ! [ "x${SRCURL}" == "x" ]; then
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+tar -xvf ${SOURCE}
+cd ${SRCNAM}-${VERSION}
+
+# Compensate for using gcc 4.7:
+cat $SRCDIR/gst-ffmpeg-0.10.13_gcc47.patch | patch -p1 --verbose \
+ 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a+X-s .
+
+if [ "$USE_INTERNAL_FFMPEG" = "NO" -o "$USE_INTERNAL_FFMPEG" = "no" ]; then
+ FFMPEG_OPTS="--with-system-ffmpeg"
+else
+ FFMPEG_OPTS=""
+fi
+
+echo Building ...
+LDFLAGS="$SLKLDFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ $FFMPEG_OPTS \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$TARGET \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+if [ "$USE_INTERNAL_FFMPEG" = "NO" -o "$USE_INTERNAL_FFMPEG" = "no" ]; then
+ cat $SRCDIR/slack-required > $PKG/install/slack-required
+fi
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+if [ "$USE_INTERNAL_FFMPEG" = "NO" -o "$USE_INTERNAL_FFMPEG" = "no" ]; then
+ cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
+fi
+
+# Restore the original umask:
+umask ${_UMASK_}
+